Index: /branches/new_class_id/src/lib/graphics/importer/resource_texture.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/resource_texture.cc	(revision 9785)
+++ /branches/new_class_id/src/lib/graphics/importer/resource_texture.cc	(revision 9786)
@@ -11,7 +11,11 @@
 
   if (ptr)
+  {
+    printf("FOUNT TEXTURE: %s\n", imageName.c_str());
     this->acquireData(static_cast<ResourceTexture::TextureResourcePointer*>(ptr)->ptr());
+  }
   else
   {
+    printf("NOT FOUNT TEXTURE: %s\n", imageName.c_str());
     std::string fileName = this->Resource::locateFile(imageName);
     this->Texture::loadImage(fileName, target);
Index: /branches/new_class_id/src/lib/util/loading/resource.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/resource.cc	(revision 9785)
+++ /branches/new_class_id/src/lib/util/loading/resource.cc	(revision 9786)
@@ -61,5 +61,4 @@
     return (Resource::_mainGlobalPath + File(fileName)).name();
 
-
   return std::string("/home/bensch/svn/orxonox/data/") + fileName;
 
@@ -72,6 +71,9 @@
 
   for (unsigned int i = 0; i < _type->storedResources().size(); ++i)
-    if (_type->storedResources()[i]->_pointer->loadString() == loadString)
-      return _type->storedResources()[i]->_pointer;
+  {
+    printf("Compare %s with %s\n", _type->storedResources()[i]->loadString().c_str(), loadString.c_str());
+    if (_type->storedResources()[i]->loadString() == loadString)
+      return _type->storedResources()[i];
+  }
 
   return NULL;
@@ -94,5 +96,7 @@
 
 void Resource::addResource(Resource::Pointer* pointer)
-{}
+{
+  this->_type->addResource(pointer);
+}
 
 
@@ -114,14 +118,15 @@
 
 
+void Resource::Type::addResource(Resource::Pointer* resource)
+{
+  this->_storedResources.push_back(resource);
 
-
-
-
-
+}
 
 
 Resource::Pointer::Pointer(const std::string& loadString, const Resource::KeepLevel& keeplevel)
-{
-}
+  : _loadString(loadString), _keepLevel(keeplevel)
+{}
+
 
 void Resource::Type::setID(int id)
Index: /branches/new_class_id/src/lib/util/loading/resource.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/resource.h	(revision 9785)
+++ /branches/new_class_id/src/lib/util/loading/resource.h	(revision 9786)
@@ -32,4 +32,17 @@
 
 protected:
+  class Pointer
+  {
+  public:
+    Pointer(const std::string& loadString, const Resource::KeepLevel& keeplevel);
+    const std::string& loadString() const { return _loadString; };
+    const Resource::KeepLevel& keepLevel() const { return _keepLevel; };
+
+  private:
+    std::string              _loadString;             //!< An identifier, to match when loading a File.
+    Resource::KeepLevel      _keepLevel;              //!< The Priority of this resource. (can only be increased, so none else will delete this)
+  };
+
+
   class Type
   {
@@ -47,29 +60,17 @@
     const std::vector<std::string>& resourcePaths() const { return _resourcePaths; };
     const std::vector<std::string>& resourceSubPaths() const { return _resourceSubPaths; };
-    const std::vector<Resource*>& storedResources() const { return _storedResources; };
+    const std::vector<Resource::Pointer*>& storedResources() const { return _storedResources; };
 
     void setID(int id);
-    void addResource(Resource* resource);
+    void addResource(Resource::Pointer* resource);
 
   private:
-    int                           _id;
-    const ClassID&                _classID;
-    std::vector<std::string>      _resourcePaths;
-    std::vector<std::string>      _resourceSubPaths;
-    std::vector<std::string>      _fileExtensions;
+    int                             _id;
+    const ClassID&                  _classID;
+    std::vector<std::string>        _resourcePaths;
+    std::vector<std::string>        _resourceSubPaths;
+    std::vector<std::string>        _fileExtensions;
 
-    std::vector<Resource*>        _storedResources;
-  };
-
-  class Pointer
-  {
-  public:
-    Pointer(const std::string& loadString, const Resource::KeepLevel& keeplevel);
-    const std::string& loadString() const { return _loadString; };
-    const Resource::KeepLevel& keepLevel() const { return _keepLevel; };
-
-  private:
-    std::string              _loadString;             //!< An identifier, to match when loading a File.
-    Resource::KeepLevel      _keepLevel;              //!< The Priority of this resource. (can only be increased, so none else will delete this)
+    std::vector<Resource::Pointer*> _storedResources;
   };
 
@@ -85,7 +86,7 @@
 
 
-  public:
-    static void setMainGlobalPath(const Directory& directory);
-    static void addGlobalPath(const Directory& directory);
+public:
+  static void setMainGlobalPath(const Directory& directory);
+  static void addGlobalPath(const Directory& directory);
 
 
@@ -95,6 +96,6 @@
 
 private:
-  Resource::Pointer*       _pointer;                //!< Virtual Pointer to the ResourceData.
-  Resource::Type*          _type;                   //!< Type of the Resource.
+  Resource::Pointer*       _pointer;                         //!< Virtual Pointer to the ResourceData.
+  Resource::Type*          _type;                            //!< Type of the Resource.
 
 
